Package org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

# Class FallbackMethodGenericComplexBeanA

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericComplexBeanB<String>
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericComplexBeanA

@ApplicationScoped public class FallbackMethodGenericComplexBeanA extends FallbackMethodGenericComplexBeanB<String>

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodGenericComplexBeanA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`method(List<Set<String>> a)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericComplexBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackMethodGenericComplexBeanA

public FallbackMethodGenericComplexBeanA()

## Method Details

### method

@Fallback(fallbackMethod="fallback") public String method(List<Set<String>> a)